> For the complete documentation index, see [llms.txt](https://docs.trust.enterprises/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trust.enterprises/rest-api/nft-ecosystem/transfer-an-nft.md).

# Transfer an NFT

### Overview

This is the simplest of transfer methods the API can process, a couple of things will happen:

* We'll check that the Treasury owns and can send your NFT to an account
* We'll attempt to send the NFT to an account, if it fails then a error will query to whether an account has associated with said NFT id.

<mark style="color:green;">`POST`</mark> `https://hedera-serverless-consensus.vercel.app/api/nft/transfer`

Transfer a specific NFT that the treasury owns to an account.&#x20;

#### Headers

| Name                                        | Type   | Description                                                       |
| ------------------------------------------- | ------ | ----------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | String | The **API\_SECRET\_KEY** from the client's environment variables. |

#### Request Body

| Name                                             | Type   | Description                       |
| ------------------------------------------------ | ------ | --------------------------------- |
| token\_id<mark style="color:red;">\*</mark>      | String | Hedera token id to send           |
| receiver\_id<mark style="color:red;">\*</mark>   | String | Hedera account to send the NFT to |
| serial\_number<mark style="color:red;">\*</mark> | String | Serial number of the NFT to send  |

{% tabs %}
{% tab title="200: OK NFT sent to account, you may check a mirrornode/explorer after 5- 10 seconds." %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Missing params or required treasury state for transfer" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Header Auth Missing/invalid" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trust.enterprises/rest-api/nft-ecosystem/transfer-an-nft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
